% exp06_setup.m
% This script loads the Matlab workspace with the variables needed for the
% Simulink models exp06_Simulink and exp06_SRV02 to run.  
clear all

%% Filter Parameters
% High-pass filter in PD control used to compute velocity
% Cutoff frequency (rad/s)
wcf = 2 * pi * 50.0;
% Damping ratio
zetaf = 0.9;
% Encoder high-pass filter used to compute velocity
% Cutoff frequency (rad/s)
wcf_e = 2 * pi * 50.0;
% Damping ratio
zetaf_e = 0.9;
%
%% Sets sensor and amplifier calibration gains.
    % Potentiometer Sensitivity (rd/V)
    K_POT = -(352 * pi / 180 / 10);
    % Tachometer Sensitivity (rd/s/V)
    Kg = 70;
    K_TACH = -(1000 * 2 * pi / 60 / 1.5 / Kg);
    % Encoder Resolution, for a quadrature encoder, (rd/count)
    K_ENC = 2 * pi / ( 4 * 1024 );
    
%% SRV02 Configuration
    % Digital-to-Analog Maximum Voltage (V)
    VMAX_DAC = 10;
    % Amplifier Gain: set VoltPAQ amplifier gain to 1
    K_AMP = 1;
    % Set the amplifier Maximum Output Voltage (V) and Output Current (A)
    VMAX_AMP = 24;
    IMAX_AMP = 4;
    

    
    